.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the PrimitiveMesh.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_PrimitiveMesh:

PrimitiveMesh
=============

**Inherits:** :ref:`Mesh<class_mesh>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`PlaneMesh<class_planemesh>`, :ref:`CubeMesh<class_cubemesh>`, :ref:`SphereMesh<class_spheremesh>`, :ref:`CylinderMesh<class_cylindermesh>`, :ref:`CapsuleMesh<class_capsulemesh>`, :ref:`QuadMesh<class_quadmesh>`, :ref:`PrismMesh<class_prismmesh>`

**Category:** Core

Brief Description
-----------------

Base class for all primitive meshes. Handles applying a :ref:`Material<class_material>` to a primitive mesh.

Member Functions
----------------

+----------------------------+-------------------------------------------------------------------------------+
| :ref:`Array<class_array>`  | :ref:`get_mesh_arrays<class_PrimitiveMesh_get_mesh_arrays>` **(** **)** const |
+----------------------------+-------------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_PrimitiveMesh_material:

- :ref:`Material<class_material>` **material** - The current :ref:`Material<class_material>` of the primitive mesh.


Description
-----------

Base class for all primitive meshes. Handles applying a :ref:`Material<class_material>` to a primitive mesh.

Member Function Description
---------------------------

.. _class_PrimitiveMesh_get_mesh_arrays:

- :ref:`Array<class_array>` **get_mesh_arrays** **(** **)** const


